import java.io.*;
import com.feitian.rockeyarm.Dongle;
public class Sample03
{
    public Sample03()
	{
	}
    public static void main(final String args[]) 
    {
	   byte [] dongleInfo = new byte [100];
	   int [] count = new int[1];
	   int [] handle = new int [1];
	   int nRet = 0;
	   
       Dongle dongle = new Dongle();	   
	   //枚举锁
       nRet = dongle.Dongle_Enum(dongleInfo, count);
	   if(nRet != Dongle.DONGLE_SUCCESS)
	   {
	     System.out.printf("Dongle_Enum error. error code: 0x%08X .\n ", nRet);
		 return ;
	   }	   
	   System.out.printf("Enum Dongle ARM count: [%d] .\n", count[0]); 
	   
	   //打开第一把锁
	   nRet = dongle.Dongle_Open(handle, 0);
	   if(nRet != Dongle.DONGLE_SUCCESS)
	   {
	     System.out.printf("Dongle_Open error. error code: 0x%08X .\n ", nRet);
		 return ;
	   }
	   System.out.printf("Open Dongle ARM success[handle=0x%08X]. \n",handle[0]);
	   
	   //验证开发商密码
	   int []nRemain = new int[1];
       String strPin = "FFFFFFFFFFFFFFFF"; //默认开发商密码
	   nRet = dongle.Dongle_VerifyPIN(handle[0], dongle.FLAG_ADMINPIN, strPin, nRemain);
	   if(nRet != Dongle.DONGLE_SUCCESS)
	   {
	     System.out.printf("Dongle_VerifyPIN error [remain cout: %d]. error code: 0x%08X .\n ", nRemain[0], nRet);
		 dongle.Dongle_Close(handle[0]);
		 return ;
	   }
	   System.out.printf("Verify admin pin success. \n");
	   
	   //创建可执行文件
	   byte [] exeFileInfo = new byte [1024];
	   int [] bufferLen = new int[1];
	   nRet = dongle.Add_EXE_FILE_INFO_To_Buffer(exeFileInfo, bufferLen, 0, (short)0x1111, (short)1776, (byte)0, g_progExeFile1);//添加第一个文件
	   if(nRet != Dongle.DONGLE_SUCCESS)
	   {
	     System.out.printf("Add_EXE_FILE_INFO_To_Buffer error . error code: 0x%08X .\n ", nRet);
		 dongle.Dongle_Close(handle[0]);
		 return ;
	   }
	   System.out.printf("Add Exe file [index = 0]to buffer success. \n");
	   nRet = dongle.Add_EXE_FILE_INFO_To_Buffer(exeFileInfo, bufferLen, 1, (short)0x2222, (short)1808, (byte)0, g_progExeFile2);//添加第二个文件
	   if(nRet != Dongle.DONGLE_SUCCESS)
	   {
	     System.out.printf("Add_EXE_FILE_INFO_To_Buffer error . error code: 0x%08X .\n ", nRet);
		 dongle.Dongle_Close(handle[0]);
		 return ;
	   }
	   System.out.printf("Add Exe file [index = 1]to buffer success. \n");
	   
	   //下载可执行文件,本例中下载两个文件
	   nRet = dongle.Dongle_DownloadExeFile(handle[0], exeFileInfo, 2);//
	   if(nRet != Dongle.DONGLE_SUCCESS)
	   {
	     System.out.printf("Dongle_DownloadExeFile error . error code: 0x%08X .\n ", nRet);
		 dongle.Dongle_Close(handle[0]);
		 return ;
	   }
	   System.out.printf("Download Exe file success. \n");
	   
	   //注意要清空缓冲区空间 一个两个可执行文件
	   nRet = dongle.Clear_EXE_FILE_INFO_Buffer(exeFileInfo, 2);
	   System.out.printf("Clear EXE_FILE_INFO buffer return 0x%08X. \n", nRet);
	   
	   //运行可执行文件
	   byte []indata = new byte[1024];//输入的长度不能超过1020
	   byte []outdata = new byte[1024];//输出的长度不能超过1024
	   for(int i = 0; i < 1024; i++) indata[i] = (byte)i;
	   int inLen = 20;
	   int []outLen = new int[1];
	   outLen[0] = 1024;
	   nRet = dongle.Dongle_RunExeFile(handle[0], 0x2222, indata, inLen, outLen);
	   System.out.printf("Run exe[fileid = 0x2222] return 0x%08X [outLen = %d]. \n", nRet, outLen[0]);
	   
	   inLen = 32;
	   outLen[0] = 1024;
	   nRet = dongle.Dongle_RunExeFile(handle[0], 0x1111, indata, inLen, outLen);
	   System.out.printf("Run exe[fileid = 0x1111] return 0x%08X [outLen = %d]. \n", nRet, outLen[0]);
	   //删掉这两个可执行文件
	   nRet = dongle.Dongle_DeleteFile(handle[0], Dongle.FILE_EXE, 0x1111);
	   System.out.printf("Delete exe file[0x1111] return 0x%08X. \n", nRet);
	   nRet = dongle.Dongle_DeleteFile(handle[0], Dongle.FILE_EXE, 0x2222);
	   System.out.printf("Delete exe file[0x2222] return 0x%08X. \n", nRet);
	   //关闭加密锁
	   nRet = dongle.Dongle_Close(handle[0]);
	   if(nRet != Dongle.DONGLE_SUCCESS)
	   {
	      System.out.printf("Dongle_Close error. error code: 0x%08X \n", nRet);
		  return;
	   }
	   System.out.printf("Close Dongle ARM success. \n");
       	   
    }
	
	public static byte [] g_progExeFile1= new byte[]{
	(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,(byte)0x55,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x59,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x5b,(byte)0x00,
	(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,
	(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,
	(byte)0x00,(byte)0x00,(byte)0x5d,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,
	(byte)0x5f,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x61,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x03,(byte)0x48,(byte)0x85,(byte)0x46,(byte)0x00,(byte)0xf0,
	(byte)0x22,(byte)0xfb,(byte)0x00,(byte)0x48,(byte)0x00,(byte)0x47,(byte)0xb1,(byte)0x03,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,
	(byte)0x03,(byte)0x48,(byte)0x00,(byte)0x47,(byte)0xfe,(byte)0xe7,(byte)0xfe,(byte)0xe7,(byte)0xfe,(byte)0xe7,(byte)0xfe,(byte)0xe7,(byte)0xfe,(byte)0xe7,
	(byte)0x00,(byte)0x00,(byte)0x41,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x10,(byte)0xb5,(byte)0xd2,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0x00,(byte)0xfa,
	(byte)0xd0,(byte)0x48,(byte)0x10,(byte)0x21,(byte)0x00,(byte)0x1d,(byte)0x00,(byte)0xf0,(byte)0xf1,(byte)0xf9,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,
	(byte)0xcd,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0xda,(byte)0xf9,(byte)0x02,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0xe0,(byte)0xf9,(byte)0x10,(byte)0xbd,
	(byte)0x1c,(byte)0xb5,(byte)0x01,(byte)0x20,(byte)0x80,(byte)0x02,(byte)0x00,(byte)0x90,(byte)0x00,(byte)0x20,(byte)0x69,(byte)0x46,(byte)0x88,(byte)0x80,
	(byte)0xc8,(byte)0x80,(byte)0x08,(byte)0x23,(byte)0x6a,(byte)0x46,(byte)0xc5,(byte)0x49,(byte)0x01,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0x96,(byte)0xf9,
	(byte)0x1c,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0xc2,(byte)0x49,(byte)0x01,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0xb8,(byte)0xf9,(byte)0x10,(byte)0xbd,
	(byte)0x38,(byte)0xb5,(byte)0x88,(byte)0x22,(byte)0x80,(byte)0x21,(byte)0xbd,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0xd1,(byte)0xfa,(byte)0xbc,(byte)0x4b,
	(byte)0xbd,(byte)0x4c,(byte)0x00,(byte)0x93,(byte)0x80,(byte)0x23,(byte)0x00,(byte)0x22,(byte)0x21,(byte)0x46,(byte)0x01,(byte)0x20,(byte)0x00,(byte)0xf0,
	(byte)0x9a,(byte)0xf9,(byte)0x09,(byte)0x21,(byte)0x09,(byte)0x03,(byte)0x88,(byte)0x42,(byte)0x09,(byte)0xd1,(byte)0x80,(byte)0x21,(byte)0xb5,(byte)0x48,
	(byte)0x00,(byte)0xf0,(byte)0xc7,(byte)0xfa,(byte)0xb3,(byte)0x4b,(byte)0x80,(byte)0x22,(byte)0x00,(byte)0x21,(byte)0x20,(byte)0x46,(byte)0x00,(byte)0xf0,
	(byte)0x7e,(byte)0xf9,(byte)0x38,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0xaf,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0xdf,(byte)0xf9,(byte)0x20,(byte)0x21,
	(byte)0xad,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0xb8,(byte)0xfa,(byte)0xac,(byte)0x48,(byte)0x20,(byte)0x30,(byte)0x00,(byte)0xf0,(byte)0xce,(byte)0xf9,
	(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x88,(byte)0xb0,(byte)0x10,(byte)0x20,(byte)0x05,(byte)0x90,(byte)0x00,(byte)0x20,(byte)0xaa,(byte)0x4c,
	(byte)0x06,(byte)0x90,(byte)0x08,(byte)0x23,(byte)0x05,(byte)0xaa,(byte)0x21,(byte)0x46,(byte)0x04,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0x57,(byte)0xf9,
	(byte)0x09,(byte)0x21,(byte)0x09,(byte)0x03,(byte)0x88,(byte)0x42,(byte)0x0b,(byte)0xd1,(byte)0x10,(byte)0x21,(byte)0x01,(byte)0xa8,(byte)0x00,(byte)0xf0,
	(byte)0x93,(byte)0xf9,(byte)0x01,(byte)0xab,(byte)0x00,(byte)0x93,(byte)0x10,(byte)0x23,(byte)0x00,(byte)0x22,(byte)0x21,(byte)0x46,(byte)0x04,(byte)0x20,
	(byte)0x00,(byte)0xf0,(byte)0x61,(byte)0xf9,(byte)0x08,(byte)0xb0,(byte)0x10,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x99,(byte)0x49,(byte)0x10,(byte)0x22,
	(byte)0x88,(byte)0x18,(byte)0x05,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x6a,(byte)0xfa,(byte)0x99,(byte)0x4c,(byte)0x00,(byte)0x22,(byte)0x23,(byte)0x46,
	(byte)0x10,(byte)0x21,(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x28,(byte)0xfa,(byte)0x93,(byte)0x48,(byte)0x29,(byte)0x46,(byte)0x20,(byte)0x30,
	(byte)0x10,(byte)0x22,(byte)0x05,(byte)0x46,
(byte)0x00,(byte)0xf0,(byte)0x5c,(byte)0xfa,(byte)0x23,(byte)0x46,(byte)0x01,(byte)0x22,(byte)0x10,(byte)0x21,(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x1b,(byte)0xfa,
(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x8b,(byte)0x49,(byte)0x10,(byte)0x22,(byte)0x88,(byte)0x18,(byte)0x05,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x4e,(byte)0xfa,
(byte)0x8b,(byte)0x4c,(byte)0x00,(byte)0x22,(byte)0x23,(byte)0x46,(byte)0x10,(byte)0x21,(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x18,(byte)0xfa,(byte)0x85,(byte)0x48,
(byte)0x29,(byte)0x46,(byte)0x20,(byte)0x30,(byte)0x10,(byte)0x22,(byte)0x05,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x40,(byte)0xfa,(byte)0x23,(byte)0x46,(byte)0x01,(byte)0x22,
(byte)0x10,(byte)0x21,(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x0b,(byte)0xfa,(byte)0x70,(byte)0xbd,(byte)0x7e,(byte)0x4a,(byte)0x10,(byte)0xb5,(byte)0x20,(byte)0x32,
(byte)0x20,(byte)0x21,(byte)0x50,(byte)0x1a,(byte)0x00,(byte)0xf0,(byte)0x0f,(byte)0xfa,(byte)0x10,(byte)0xbd,(byte)0x7a,(byte)0x4a,(byte)0x10,(byte)0xb5,(byte)0x20,(byte)0x32,
(byte)0x20,(byte)0x21,(byte)0x50,(byte)0x1a,(byte)0x00,(byte)0xf0,(byte)0x11,(byte)0xfa,(byte)0x10,(byte)0xbd,(byte)0xf0,(byte)0xb5,(byte)0xb7,(byte)0xb0,(byte)0x03,(byte)0x20,
(byte)0x69,(byte)0x46,(byte)0x88,(byte)0x84,(byte)0xff,(byte)0x20,(byte)0x01,(byte)0x30,(byte)0xc8,(byte)0x84,(byte)0x00,(byte)0x20,(byte)0xc0,(byte)0x43,(byte)0x74,(byte)0x4f,
(byte)0x00,(byte)0x26,(byte)0x0a,(byte)0x90,(byte)0x0c,(byte)0x23,(byte)0x09,(byte)0xaa,(byte)0x39,(byte)0x46,(byte)0x0b,(byte)0x96,(byte)0x03,(byte)0x20,(byte)0x00,(byte)0xf0,
(byte)0xe9,(byte)0xf8,(byte)0x09,(byte)0x25,(byte)0x2d,(byte)0x03,(byte)0x6b,(byte)0x4c,(byte)0xa8,(byte)0x42,(byte)0x03,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0xa7,(byte)0x80,
(byte)0x37,(byte)0xb0,(byte)0xf0,(byte)0xbd,(byte)0x0c,(byte)0xa9,(byte)0x38,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x83,(byte)0xf9,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,
(byte)0x20,(byte)0x80,(byte)0x68,(byte)0x49,(byte)0x1a,(byte)0xe0,(byte)0x20,(byte)0x21,(byte)0x01,(byte)0xa8,(byte)0x00,(byte)0xf0,(byte)0x17,(byte)0xf9,(byte)0x68,(byte)0x46,
(byte)0x06,(byte)0x71,(byte)0x36,(byte)0xab,(byte)0x00,(byte)0x93,(byte)0x26,(byte)0xab,(byte)0x20,(byte)0x22,(byte)0x01,(byte)0xa9,(byte)0x38,(byte)0x46,(byte)0x00,(byte)0xf0,
(byte)0x7a,(byte)0xf9,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x5f,(byte)0x49,(byte)0x07,(byte)0xe0,(byte)0x26,(byte)0xab,(byte)0x20,(byte)0x22,
(byte)0x01,(byte)0xa9,(byte)0x15,(byte)0xa8,(byte)0x00,(byte)0xf0,(byte)0x7e,(byte)0xf9,(byte)0x5c,(byte)0x49,(byte)0x20,(byte)0x80,(byte)0xa1,(byte)0x80,(byte)0xd7,(byte)0xe7,
(byte)0xf0,(byte)0xb5,(byte)0xb7,(byte)0xb0,(byte)0x03,(byte)0x20,(byte)0x69,(byte)0x46,(byte)0x88,(byte)0x84,(byte)0x81,(byte)0x20,(byte)0x00,(byte)0x02,(byte)0xc8,(byte)0x84,
(byte)0x00,(byte)0x20,(byte)0xc0,(byte)0x43,(byte)0x53,(byte)0x4f,(byte)0x00,(byte)0x26,(byte)0x0a,(byte)0x90,(byte)0x0c,(byte)0x23,(byte)0x09,(byte)0xaa,(byte)0x39,(byte)0x46,
(byte)0x0b,(byte)0x96,(byte)0x03,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0xa6,(byte)0xf8,(byte)0x09,(byte)0x25,(byte)0x2d,(byte)0x03,(byte)0x49,(byte)0x4c,(byte)0xa8,(byte)0x42,
(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x79,(byte)0x10,(byte)0x23,(byte)0xe0,(byte)0x0c,(byte)0xa9,(byte)0x38,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x66,(byte)0xf9,
(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0xa7,(byte)0x80,(byte)0xb2,(byte)0xe7,(byte)0x20,(byte)0x21,(byte)0x01,(byte)0xa8,(byte)0x00,(byte)0xf0,
(byte)0xd5,(byte)0xf8,(byte)0x68,(byte)0x46,(byte)0x06,(byte)0x71,(byte)0x36,(byte)0xab,(byte)0x00,(byte)0x93,(byte)0x26,(byte)0xab,(byte)0x20,(byte)0x22,(byte)0x01,(byte)0xa9,
(byte)0x38,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x5d,(byte)0xf9,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x3e,(byte)0x49,(byte)0x07,(byte)0xe0,
(byte)0x26,(byte)0xab,(byte)0x20,(byte)0x22,(byte)0x01,(byte)0xa9,(byte)0x15,(byte)0xa8,(byte)0x00,(byte)0xf0,(byte)0x61,(byte)0xf9,(byte)0x3b,(byte)0x49,(byte)0x20,(byte)0x80,
(byte)0xa1,(byte)0x80,(byte)0x95,(byte)0xe7,(byte)0xf0,(byte)0xb5,(byte)0xff,(byte)0xb0,(byte)0x8c,(byte)0xb0,(byte)0x09,(byte)0xa8,(byte)0x00,(byte)0x90,(byte)0x08,(byte)0x90,
(byte)0x37,(byte)0x48,(byte)0x06,(byte)0x90,(byte)0x07,(byte)0x46,(byte)0xff,(byte)0x30,(byte)0x21,(byte)0x30,(byte)0x07,(byte)0x90,(byte)0x02,(byte)0x20,(byte)0x69,(byte)0x46,
(byte)0x08,(byte)0x81,(byte)0x80,(byte)0x02,(byte)0x48,(byte)0x81,(byte)0x00,(byte)0x20,(byte)0xc0,(byte)0x43,(byte)0x03,(byte)0x90,(byte)0x00,(byte)0x20,(byte)0x2e,(byte)0x4e,
(byte)0x04,(byte)0x90,(byte)0x20,(byte)0x37,(byte)0x0c,(byte)0x23,(byte)0x02,(byte)0xaa,(byte)0x31,(byte)0x46,(byte)0x02,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0x5a,(byte)0xf8,
(byte)0x09,(byte)0x25,(byte)0x2d,(byte)0x03,(byte)0x23,(byte)0x4c,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x24,(byte)0x49,(byte)0x07,(byte)0xe0,
(byte)0x30,(byte)0x46,(byte)0x00,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0xc9,(byte)0xf8,(byte)0xa8,(byte)0x42,(byte)0x05,(byte)0xd0,(byte)0x21,(byte)0x49,(byte)0x20,(byte)0x80,
(byte)0xa1,(byte)0x80,(byte)0x7f,(byte)0xb0,(byte)0x0c,(byte)0xb0,(byte)0xf0,(byte)0xbd,(byte)0x20,(byte)0x21,(byte)0x06,(byte)0x98,(byte)0x00,(byte)0xf0,(byte)0x86,(byte)0xf8,
(byte)0x20,(byte)0x22,(byte)0x18,(byte)0x48,(byte)0x06,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0x69,(byte)0xf9,(byte)0x00,(byte)0x23,(byte)0x05,(byte)0xaa,(byte)0x01,(byte)0x93,
(byte)0x00,(byte)0x92,(byte)0x3b,(byte)0x46,(byte)0x20,(byte)0x22,(byte)0x30,(byte)0x46,(byte)0x06,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0xb8,(byte)0xf8,(byte)0xa8,(byte)0x42,
(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0xa6,(byte)0x80,(byte)0xe4,(byte)0xe7,(byte)0x01,(byte)0x23,(byte)0x05,(byte)0xaa,(byte)0x01,(byte)0x93,(byte)0x00,(byte)0x92,
(byte)0x68,(byte)0x46,(byte)0x81,(byte)0x8a,(byte)0x38,(byte)0x46,(byte)0x07,(byte)0x9b,(byte)0x08,(byte)0x9a,(byte)0x00,(byte)0xf0,(byte)0xb9,(byte)0xf8,(byte)0x04,(byte)0x46,
(byte)0x08,(byte)0x48,(byte)0x20,(byte)0x22,(byte)0x20,(byte)0x30,(byte)0x07,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0x48,(byte)0xf9,(byte)0x05,(byte)0x49,(byte)0x0b,(byte)0x48,
(byte)0x40,(byte)0x31,(byte)0x0c,(byte)0x80,(byte)0x88,(byte)0x80,(byte)0x68,(byte)0x46,(byte)0x80,(byte)0x8a,(byte)0x08,(byte)0x81,(byte)0x20,(byte)0x46,(byte)0xc8,(byte)0xe7,
(byte)0x5a,(byte)0xe6,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x68,(byte)0x34,(byte)0x12,(byte)0x00,(byte)0x00,(byte)0xff,(byte)0xff,(byte)0x00,(byte)0x00,
(byte)0x11,(byte)0x11,(byte)0x00,(byte)0x00,(byte)0x22,(byte)0x22,(byte)0x00,(byte)0x00,(byte)0x33,(byte)0x33,(byte)0x00,(byte)0x00,(byte)0x44,(byte)0x44,(byte)0x00,(byte)0x00,
(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,(byte)0x70,(byte)0xb5,(byte)0x93,(byte)0x4c,(byte)0x10,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0xe1,(byte)0x80,
(byte)0x91,(byte)0x48,(byte)0xe3,(byte)0x60,(byte)0xa2,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x8d,(byte)0x4c,
(byte)0x11,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0x01,(byte)0x25,(byte)0xa5,(byte)0x80,(byte)0xe0,(byte)0x80,(byte)0x21,(byte)0x81,(byte)0x62,(byte)0x81,(byte)0x8a,(byte)0x48,
(byte)0xe3,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x86,(byte)0x4c,(byte)0x12,(byte)0x26,(byte)0x04,(byte)0x9d,
(byte)0x26,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0xe1,(byte)0x80,(byte)0x22,(byte)0x81,(byte)0x63,(byte)0x81,(byte)0x83,(byte)0x48,(byte)0xe5,(byte)0x60,(byte)0x80,(byte)0x47,
(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x7f,(byte)0x4c,(byte)0x13,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x7e,(byte)0x48,
(byte)0xe1,(byte)0x80,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x7a,(byte)0x4c,(byte)0x14,(byte)0x21,(byte)0x21,(byte)0x80,
(byte)0x60,(byte)0x60,(byte)0x79,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x75,(byte)0x4c,(byte)0x15,(byte)0x21,
(byte)0x21,(byte)0x80,(byte)0x20,(byte)0x71,(byte)0x74,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x71,(byte)0x4c,
(byte)0x16,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x70,(byte)0x48,(byte)0x21,(byte)0x72,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,
(byte)0x10,(byte)0xb5,(byte)0x6c,(byte)0x4c,(byte)0x17,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x6b,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,
(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x67,(byte)0x4c,(byte)0x18,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x66,(byte)0x48,(byte)0x80,(byte)0x47,
(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x63,(byte)0x4c,(byte)0x29,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x62,(byte)0x48,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x5e,(byte)0x4c,(byte)0x19,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,
(byte)0x5d,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x5a,(byte)0x4c,(byte)0x1a,(byte)0x21,(byte)0x21,(byte)0x80,
(byte)0x60,(byte)0x60,(byte)0x59,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x55,(byte)0x4c,(byte)0x1b,(byte)0x22,
(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x54,(byte)0x48,(byte)0xa1,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0xf8,(byte)0xb5,
(byte)0x50,(byte)0x4c,(byte)0x1c,(byte)0x25,(byte)0x07,(byte)0x9f,(byte)0x06,(byte)0x9e,(byte)0x25,(byte)0x80,(byte)0xa3,(byte)0x60,(byte)0x61,(byte)0x60,(byte)0xa2,(byte)0x81,
(byte)0xe0,(byte)0x81,(byte)0x4d,(byte)0x48,(byte)0x27,(byte)0x82,(byte)0x80,(byte)0x47,(byte)0xa0,(byte)0x89,(byte)0x30,(byte)0x80,(byte)0x60,(byte)0x88,(byte)0xf8,(byte)0xbd,
(byte)0xf8,(byte)0xb5,(byte)0x48,(byte)0x4c,(byte)0x1d,(byte)0x25,(byte)0x07,(byte)0x9f,(byte)0x06,(byte)0x9e,(byte)0x25,(byte)0x80,(byte)0xa3,(byte)0x60,(byte)0x60,(byte)0x60,
(byte)0x21,(byte)0x82,(byte)0xe2,(byte)0x60,(byte)0x44,(byte)0x48,(byte)0x67,(byte)0x82,(byte)0x80,(byte)0x47,(byte)0x20,(byte)0x8a,(byte)0x30,(byte)0x80,(byte)0x60,(byte)0x88,
(byte)0xf8,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x3f,(byte)0x4c,(byte)0x1e,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x3e,(byte)0x48,(byte)0xa1,(byte)0x60,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x3a,(byte)0x4c,(byte)0x1f,(byte)0x26,(byte)0x04,(byte)0x9d,(byte)0x26,(byte)0x80,
(byte)0xa3,(byte)0x60,(byte)0x61,(byte)0x60,(byte)0xa2,(byte)0x81,(byte)0xe0,(byte)0x81,(byte)0x37,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0xa0,(byte)0x89,(byte)0x28,(byte)0x80,
(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x33,(byte)0x4c,(byte)0x20,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,(byte)0x60,(byte)0x60,
(byte)0x22,(byte)0x82,(byte)0x31,(byte)0x48,(byte)0xe3,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x2d,(byte)0x4c,
(byte)0x21,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x2c,(byte)0x48,(byte)0xa1,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,
(byte)0x70,(byte)0xb5,(byte)0x28,(byte)0x4c,(byte)0x22,(byte)0x26,(byte)0x04,(byte)0x9d,(byte)0x26,(byte)0x80,(byte)0xa3,(byte)0x60,(byte)0x61,(byte)0x60,(byte)0xa2,(byte)0x81,
(byte)0xe0,(byte)0x81,(byte)0x25,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0xa0,(byte)0x89,(byte)0x28,(byte)0x80,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,
(byte)0x20,(byte)0x4c,(byte)0x23,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,(byte)0x60,(byte)0x60,(byte)0x22,(byte)0x82,(byte)0x1e,(byte)0x48,(byte)0xe3,(byte)0x60,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x1a,(byte)0x4c,(byte)0x24,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,
(byte)0x60,(byte)0x60,(byte)0xa2,(byte)0x81,(byte)0x18,(byte)0x48,(byte)0xe3,(byte)0x81,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,
(byte)0x14,(byte)0x4c,(byte)0x25,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,(byte)0x60,(byte)0x60,(byte)0xa2,(byte)0x81,(byte)0x12,(byte)0x48,(byte)0xe3,(byte)0x81,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x0e,(byte)0x4c,(byte)0x26,(byte)0x23,(byte)0x23,(byte)0x80,(byte)0x23,(byte)0x1d,
(byte)0x07,(byte)0xc3,(byte)0x0d,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x09,(byte)0x4c,(byte)0x27,(byte)0x23,
(byte)0x23,(byte)0x80,(byte)0x23,(byte)0x1d,(byte)0x07,(byte)0xc3,(byte)0x08,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,
(byte)0x04,(byte)0x4c,(byte)0x28,(byte)0x23,(byte)0x23,(byte)0x80,(byte)0x23,(byte)0x1d,(byte)0x07,(byte)0xc3,(byte)0x03,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,
(byte)0x10,(byte)0xbd,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x14,(byte)0x00,(byte)0x68,(byte)0x01,(byte)0x7f,(byte)0x00,(byte)0x00,(byte)0x70,(byte)0xb5,(byte)0x06,(byte)0x46,
(byte)0x08,(byte)0x46,(byte)0x15,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x0c,(byte)0xf8,(byte)0x34,(byte)0x46,(byte)0x03,(byte)0xe0,(byte)0x01,(byte)0x78,(byte)0x40,(byte)0x1c,
(byte)0x21,(byte)0x70,(byte)0x64,(byte)0x1c,(byte)0x6d,(byte)0x1e,(byte)0xf9,(byte)0xd2,(byte)0x30,(byte)0x46,(byte)0x70,(byte)0xbd,(byte)0xee,(byte)0xe7,(byte)0xed,(byte)0xe7,
(byte)0x0d,(byte)0x21,(byte)0xc9,(byte)0x06,(byte)0x88,(byte)0x42,(byte)0x02,(byte)0xd2,(byte)0x01,(byte)0x49,(byte)0xc9,(byte)0x6b,(byte)0x08,(byte)0x18,(byte)0x70,(byte)0x47,
(byte)0xc0,(byte)0x1f,(byte)0x00,(byte)0x68,(byte)0xd2,(byte)0xb2,(byte)0x01,(byte)0xe0,(byte)0x02,(byte)0x70,(byte)0x40,(byte)0x1c,(byte)0x49,(byte)0x1e,(byte)0xfb,(byte)0xd2,
(byte)0x70,(byte)0x47,(byte)0x00,(byte)0x22,(byte)0xf6,(byte)0xe7,(byte)0x10,(byte)0xb5,(byte)0x04,(byte)0x46,(byte)0x08,(byte)0x46,(byte)0x11,(byte)0x46,(byte)0x02,(byte)0x46,
(byte)0x20,(byte)0x46,(byte)0xff,(byte)0xf7,(byte)0xef,(byte)0xff,(byte)0x20,(byte)0x46,(byte)0x10,(byte)0xbd,(byte)0x00,(byte)0x00,(byte)0x06,(byte)0x4c,(byte)0x01,(byte)0x25,
(byte)0x06,(byte)0x4e,(byte)0x05,(byte)0xe0,(byte)0x20,(byte)0x46,(byte)0xe3,(byte)0x68,(byte)0x07,(byte)0xc8,(byte)0x2b,(byte)0x43,(byte)0x98,(byte)0x47,(byte)0x10,(byte)0x34,
(byte)0xb4,(byte)0x42,(byte)0xf7,(byte)0xd3,(byte)0xff,(byte)0xf7,(byte)0xd0,(byte)0xfc,(byte)0xd0,(byte)0x06,(byte)0x00,(byte)0x00,(byte)0xf0,(byte)0x06,(byte)0x00,(byte)0x00,
(byte)0x02,(byte)0xe0,(byte)0x08,(byte)0xc8,(byte)0x12,(byte)0x1f,(byte)0x08,(byte)0xc1,(byte)0x00,(byte)0x2a,(byte)0xfa,(byte)0xd1,(byte)0x70,(byte)0x47,(byte)0x70,(byte)0x47,
(byte)0x00,(byte)0x20,(byte)0x01,(byte)0xe0,(byte)0x01,(byte)0xc1,(byte)0x12,(byte)0x1f,(byte)0x00,(byte)0x2a,(byte)0xfb,(byte)0xd1,(byte)0x70,(byte)0x47,(byte)0x00,(byte)0x00,
(byte)0xf0,(byte)0x06,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x04,(byte)0x00,(byte)0x68,(byte)0x00,(byte)0x08,(byte)0x00,(byte)0x00,(byte)0xc0,(byte)0x06,(byte)0x00,(byte)0x00,
(byte)0xf0,(byte)0x06,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,(byte)0x00,(byte)0x04,(byte)0x00,(byte)0x00,(byte)0xc0,(byte)0x06,(byte)0x00,(byte)0x00
};

public static byte []g_progExeFile2 = new byte[]
{(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,(byte)0x55,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x59,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x5b,(byte)0x00,(byte)0x00,(byte)0x00,
(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,
(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x5d,(byte)0x00,(byte)0x00,(byte)0x00,
(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x5f,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x61,(byte)0x00,(byte)0x00,(byte)0x00,
(byte)0x03,(byte)0x48,(byte)0x85,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x32,(byte)0xfb,(byte)0x00,(byte)0x48,(byte)0x00,(byte)0x47,(byte)0xd3,(byte)0x03,(byte)0x00,(byte)0x00,
(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,(byte)0x03,(byte)0x48,(byte)0x00,(byte)0x47,(byte)0xfe,(byte)0xe7,(byte)0xfe,(byte)0xe7,(byte)0xfe,(byte)0xe7,(byte)0xfe,(byte)0xe7,
(byte)0xfe,(byte)0xe7,(byte)0x00,(byte)0x00,(byte)0x41,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x10,(byte)0xb5,(byte)0xda,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0x10,(byte)0xfa,
(byte)0xd8,(byte)0x48,(byte)0x10,(byte)0x21,(byte)0x00,(byte)0x1d,(byte)0x00,(byte)0xf0,(byte)0x01,(byte)0xfa,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0xd5,(byte)0x48,
(byte)0x00,(byte)0xf0,(byte)0xea,(byte)0xf9,(byte)0x02,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0xf0,(byte)0xf9,(byte)0x10,(byte)0xbd,(byte)0x1c,(byte)0xb5,(byte)0x01,(byte)0x20,
(byte)0x80,(byte)0x02,(byte)0x00,(byte)0x90,(byte)0x00,(byte)0x20,(byte)0x69,(byte)0x46,(byte)0x88,(byte)0x80,(byte)0xc8,(byte)0x80,(byte)0x08,(byte)0x23,(byte)0x6a,(byte)0x46,
(byte)0xcd,(byte)0x49,(byte)0x01,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0xa6,(byte)0xf9,(byte)0x1c,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0xca,(byte)0x49,(byte)0x01,(byte)0x20,
(byte)0x00,(byte)0xf0,(byte)0xc8,(byte)0xf9,(byte)0x10,(byte)0xbd,(byte)0x38,(byte)0xb5,(byte)0x88,(byte)0x22,(byte)0x80,(byte)0x21,(byte)0xc5,(byte)0x48,(byte)0x00,(byte)0xf0,
(byte)0xe1,(byte)0xfa,(byte)0xc4,(byte)0x4b,(byte)0xc5,(byte)0x4c,(byte)0x00,(byte)0x93,(byte)0x80,(byte)0x23,(byte)0x00,(byte)0x22,(byte)0x21,(byte)0x46,(byte)0x01,(byte)0x20,
(byte)0x00,(byte)0xf0,(byte)0xaa,(byte)0xf9,(byte)0x09,(byte)0x21,(byte)0x09,(byte)0x03,(byte)0x88,(byte)0x42,(byte)0x09,(byte)0xd1,(byte)0x80,(byte)0x21,(byte)0xbd,(byte)0x48,
(byte)0x00,(byte)0xf0,(byte)0xd7,(byte)0xfa,(byte)0xbb,(byte)0x4b,(byte)0x80,(byte)0x22,(byte)0x00,(byte)0x21,(byte)0x20,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x8e,(byte)0xf9,
(byte)0x38,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0xb7,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0xef,(byte)0xf9,(byte)0x20,(byte)0x21,(byte)0xb5,(byte)0x48,(byte)0x00,(byte)0xf0,
(byte)0xc8,(byte)0xfa,(byte)0xb4,(byte)0x48,(byte)0x20,(byte)0x30,(byte)0x00,(byte)0xf0,(byte)0xde,(byte)0xf9,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x88,(byte)0xb0,
(byte)0x10,(byte)0x20,(byte)0x05,(byte)0x90,(byte)0x00,(byte)0x20,(byte)0xb2,(byte)0x4c,(byte)0x06,(byte)0x90,(byte)0x08,(byte)0x23,(byte)0x05,(byte)0xaa,(byte)0x21,(byte)0x46,
(byte)0x04,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0x67,(byte)0xf9,(byte)0x09,(byte)0x21,(byte)0x09,(byte)0x03,(byte)0x88,(byte)0x42,(byte)0x0b,(byte)0xd1,(byte)0x10,(byte)0x21,
(byte)0x01,(byte)0xa8,(byte)0x00,(byte)0xf0,(byte)0xa3,(byte)0xf9,(byte)0x01,(byte)0xab,(byte)0x00,(byte)0x93,(byte)0x10,(byte)0x23,(byte)0x00,(byte)0x22,(byte)0x21,(byte)0x46,
(byte)0x04,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0x71,(byte)0xf9,(byte)0x08,(byte)0xb0,(byte)0x10,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0xa1,(byte)0x49,(byte)0x10,(byte)0x22,
(byte)0x88,(byte)0x18,(byte)0x05,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x7a,(byte)0xfa,(byte)0xa1,(byte)0x4c,(byte)0x00,(byte)0x22,(byte)0x23,(byte)0x46,(byte)0x10,(byte)0x21,
(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x38,(byte)0xfa,(byte)0x9b,(byte)0x48,(byte)0x29,(byte)0x46,(byte)0x20,(byte)0x30,(byte)0x10,(byte)0x22,(byte)0x05,(byte)0x46,
(byte)0x00,(byte)0xf0,(byte)0x6c,(byte)0xfa,(byte)0x23,(byte)0x46,(byte)0x01,(byte)0x22,(byte)0x10,(byte)0x21,(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x2b,(byte)0xfa,
(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x93,(byte)0x49,(byte)0x10,(byte)0x22,(byte)0x88,(byte)0x18,(byte)0x05,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x5e,(byte)0xfa,
(byte)0x93,(byte)0x4c,(byte)0x00,(byte)0x22,(byte)0x23,(byte)0x46,(byte)0x10,(byte)0x21,(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x28,(byte)0xfa,(byte)0x8d,(byte)0x48,
(byte)0x29,(byte)0x46,(byte)0x20,(byte)0x30,(byte)0x10,(byte)0x22,(byte)0x05,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x50,(byte)0xfa,(byte)0x23,(byte)0x46,(byte)0x01,(byte)0x22,
(byte)0x10,(byte)0x21,(byte)0x28,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x1b,(byte)0xfa,(byte)0x70,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x86,(byte)0xb0,(byte)0x14,(byte)0x21,
(byte)0x68,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x66,(byte)0xfa,(byte)0x6a,(byte)0x46,(byte)0x20,(byte)0x21,(byte)0x82,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0x1b,(byte)0xfa,
(byte)0x04,(byte)0x46,(byte)0x01,(byte)0x21,(byte)0x89,(byte)0x02,(byte)0x7f,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0x5b,(byte)0xfa,(byte)0x14,(byte)0x22,(byte)0x69,(byte)0x46,
(byte)0x7c,(byte)0x48,(byte)0x00,(byte)0xf0,(byte)0x33,(byte)0xfa,(byte)0x20,(byte)0x46,(byte)0x06,(byte)0xb0,(byte)0x10,(byte)0xbd,(byte)0x79,(byte)0x4a,(byte)0x10,(byte)0xb5,
(byte)0x20,(byte)0x32,(byte)0x20,(byte)0x21,(byte)0x50,(byte)0x1a,(byte)0x00,(byte)0xf0,(byte)0x10,(byte)0xfa,(byte)0x10,(byte)0xbd,(byte)0xf0,(byte)0xb5,(byte)0xb7,(byte)0xb0,
(byte)0x03,(byte)0x20,(byte)0x69,(byte)0x46,(byte)0x88,(byte)0x84,(byte)0xff,(byte)0x20,(byte)0x01,(byte)0x30,(byte)0xc8,(byte)0x84,(byte)0x00,(byte)0x20,(byte)0xc0,(byte)0x43,
(byte)0x73,(byte)0x4f,(byte)0x00,(byte)0x26,(byte)0x0a,(byte)0x90,(byte)0x0c,(byte)0x23,(byte)0x09,(byte)0xaa,(byte)0x39,(byte)0x46,(byte)0x0b,(byte)0x96,(byte)0x03,(byte)0x20,
(byte)0x00,(byte)0xf0,(byte)0xe8,(byte)0xf8,(byte)0x09,(byte)0x25,(byte)0x2d,(byte)0x03,(byte)0x6a,(byte)0x4c,(byte)0xa8,(byte)0x42,(byte)0x03,(byte)0xd0,(byte)0x20,(byte)0x80,
(byte)0xa7,(byte)0x80,(byte)0x37,(byte)0xb0,(byte)0xf0,(byte)0xbd,(byte)0x0c,(byte)0xa9,(byte)0x38,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x82,(byte)0xf9,(byte)0xa8,(byte)0x42,
(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x67,(byte)0x49,(byte)0x1a,(byte)0xe0,(byte)0x20,(byte)0x21,(byte)0x01,(byte)0xa8,(byte)0x00,(byte)0xf0,(byte)0x16,(byte)0xf9,
(byte)0x68,(byte)0x46,(byte)0x06,(byte)0x71,(byte)0x36,(byte)0xab,(byte)0x00,(byte)0x93,(byte)0x26,(byte)0xab,(byte)0x20,(byte)0x22,(byte)0x01,(byte)0xa9,(byte)0x38,(byte)0x46,
(byte)0x00,(byte)0xf0,(byte)0x79,(byte)0xf9,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x5f,(byte)0x49,(byte)0x07,(byte)0xe0,(byte)0x26,(byte)0xab,
(byte)0x20,(byte)0x22,(byte)0x01,(byte)0xa9,(byte)0x15,(byte)0xa8,(byte)0x00,(byte)0xf0,(byte)0x7d,(byte)0xf9,(byte)0x5c,(byte)0x49,(byte)0x20,(byte)0x80,(byte)0xa1,(byte)0x80,
(byte)0xd7,(byte)0xe7,(byte)0xf0,(byte)0xb5,(byte)0xb7,(byte)0xb0,(byte)0x03,(byte)0x20,(byte)0x69,(byte)0x46,(byte)0x88,(byte)0x84,(byte)0x81,(byte)0x20,(byte)0x00,(byte)0x02,
(byte)0xc8,(byte)0x84,(byte)0x00,(byte)0x20,(byte)0xc0,(byte)0x43,(byte)0x53,(byte)0x4f,(byte)0x00,(byte)0x26,(byte)0x0a,(byte)0x90,(byte)0x0c,(byte)0x23,(byte)0x09,(byte)0xaa,
(byte)0x39,(byte)0x46,(byte)0x0b,(byte)0x96,(byte)0x03,(byte)0x20,(byte)0x00,(byte)0xf0,(byte)0xa5,(byte)0xf8,(byte)0x09,(byte)0x25,(byte)0x2d,(byte)0x03,(byte)0x49,(byte)0x4c,
(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x79,(byte)0x10,(byte)0x23,(byte)0xe0,(byte)0x0c,(byte)0xa9,(byte)0x38,(byte)0x46,(byte)0x00,(byte)0xf0,
(byte)0x65,(byte)0xf9,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0xa7,(byte)0x80,(byte)0xb2,(byte)0xe7,(byte)0x20,(byte)0x21,(byte)0x01,(byte)0xa8,
(byte)0x00,(byte)0xf0,(byte)0xd4,(byte)0xf8,(byte)0x68,(byte)0x46,(byte)0x06,(byte)0x71,(byte)0x36,(byte)0xab,(byte)0x00,(byte)0x93,(byte)0x26,(byte)0xab,(byte)0x20,(byte)0x22,
(byte)0x01,(byte)0xa9,(byte)0x38,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x5c,(byte)0xf9,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x3e,(byte)0x49,
(byte)0x07,(byte)0xe0,(byte)0x26,(byte)0xab,(byte)0x20,(byte)0x22,(byte)0x01,(byte)0xa9,(byte)0x15,(byte)0xa8,(byte)0x00,(byte)0xf0,(byte)0x60,(byte)0xf9,(byte)0x3b,(byte)0x49,
(byte)0x20,(byte)0x80,(byte)0xa1,(byte)0x80,(byte)0x95,(byte)0xe7,(byte)0xf0,(byte)0xb5,(byte)0xff,(byte)0xb0,(byte)0x8c,(byte)0xb0,(byte)0x09,(byte)0xa8,(byte)0x00,(byte)0x90,
(byte)0x08,(byte)0x90,(byte)0x37,(byte)0x48,(byte)0x06,(byte)0x90,(byte)0x07,(byte)0x46,(byte)0xff,(byte)0x30,(byte)0x21,(byte)0x30,(byte)0x07,(byte)0x90,(byte)0x02,(byte)0x20,
(byte)0x69,(byte)0x46,(byte)0x08,(byte)0x81,(byte)0x80,(byte)0x02,(byte)0x48,(byte)0x81,(byte)0x00,(byte)0x20,(byte)0xc0,(byte)0x43,(byte)0x03,(byte)0x90,(byte)0x00,(byte)0x20,
(byte)0x2d,(byte)0x4e,(byte)0x04,(byte)0x90,(byte)0x20,(byte)0x37,(byte)0x0c,(byte)0x23,(byte)0x02,(byte)0xaa,(byte)0x31,(byte)0x46,(byte)0x02,(byte)0x20,(byte)0x00,(byte)0xf0,
(byte)0x59,(byte)0xf8,(byte)0x09,(byte)0x25,(byte)0x2d,(byte)0x03,(byte)0x23,(byte)0x4c,(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0x24,(byte)0x49,
(byte)0x07,(byte)0xe0,(byte)0x30,(byte)0x46,(byte)0x00,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0xc8,(byte)0xf8,(byte)0xa8,(byte)0x42,(byte)0x05,(byte)0xd0,(byte)0x21,(byte)0x49,
(byte)0x20,(byte)0x80,(byte)0xa1,(byte)0x80,(byte)0x7f,(byte)0xb0,(byte)0x0c,(byte)0xb0,(byte)0xf0,(byte)0xbd,(byte)0x20,(byte)0x21,(byte)0x06,(byte)0x98,(byte)0x00,(byte)0xf0,
(byte)0x85,(byte)0xf8,(byte)0x20,(byte)0x22,(byte)0x17,(byte)0x48,(byte)0x06,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0x68,(byte)0xf9,(byte)0x00,(byte)0x23,(byte)0x05,(byte)0xaa,
(byte)0x01,(byte)0x93,(byte)0x00,(byte)0x92,(byte)0x3b,(byte)0x46,(byte)0x20,(byte)0x22,(byte)0x30,(byte)0x46,(byte)0x06,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0xb7,(byte)0xf8,
(byte)0xa8,(byte)0x42,(byte)0x02,(byte)0xd0,(byte)0x20,(byte)0x80,(byte)0xa6,(byte)0x80,(byte)0xe4,(byte)0xe7,(byte)0x01,(byte)0x23,(byte)0x05,(byte)0xaa,(byte)0x01,(byte)0x93,
(byte)0x00,(byte)0x92,(byte)0x68,(byte)0x46,(byte)0x81,(byte)0x8a,(byte)0x38,(byte)0x46,(byte)0x07,(byte)0x9b,(byte)0x08,(byte)0x9a,(byte)0x00,(byte)0xf0,(byte)0xb8,(byte)0xf8,
(byte)0x04,(byte)0x46,(byte)0x08,(byte)0x48,(byte)0x20,(byte)0x22,(byte)0x20,(byte)0x30,(byte)0x07,(byte)0x99,(byte)0x00,(byte)0xf0,(byte)0x47,(byte)0xf9,(byte)0x05,(byte)0x49,
(byte)0x0a,(byte)0x48,(byte)0x40,(byte)0x31,(byte)0x0c,(byte)0x80,(byte)0x88,(byte)0x80,(byte)0x68,(byte)0x46,(byte)0x80,(byte)0x8a,(byte)0x08,(byte)0x81,(byte)0x20,(byte)0x46,
(byte)0xc8,(byte)0xe7,(byte)0xf2,(byte)0xe6,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x68,(byte)0x34,(byte)0x12,(byte)0x00,(byte)0x00,(byte)0xff,(byte)0xff,(byte)0x00,(byte)0x00,
(byte)0x11,(byte)0x11,(byte)0x00,(byte)0x00,(byte)0x22,(byte)0x22,(byte)0x00,(byte)0x00,(byte)0x33,(byte)0x33,(byte)0x00,(byte)0x00,(byte)0x44,(byte)0x44,(byte)0x00,(byte)0x00,
(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,(byte)0x70,(byte)0xb5,(byte)0x93,(byte)0x4c,(byte)0x10,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0xe1,(byte)0x80,
(byte)0x91,(byte)0x48,(byte)0xe3,(byte)0x60,(byte)0xa2,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x8d,(byte)0x4c,
(byte)0x11,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0x01,(byte)0x25,(byte)0xa5,(byte)0x80,(byte)0xe0,(byte)0x80,(byte)0x21,(byte)0x81,(byte)0x62,(byte)0x81,(byte)0x8a,(byte)0x48,
(byte)0xe3,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x86,(byte)0x4c,(byte)0x12,(byte)0x26,(byte)0x04,(byte)0x9d,
(byte)0x26,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0xe1,(byte)0x80,(byte)0x22,(byte)0x81,(byte)0x63,(byte)0x81,(byte)0x83,(byte)0x48,(byte)0xe5,(byte)0x60,(byte)0x80,(byte)0x47,
(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x7f,(byte)0x4c,(byte)0x13,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x7e,(byte)0x48,
(byte)0xe1,(byte)0x80,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x7a,(byte)0x4c,(byte)0x14,(byte)0x21,(byte)0x21,(byte)0x80,
(byte)0x60,(byte)0x60,(byte)0x79,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x75,(byte)0x4c,(byte)0x15,(byte)0x21,
(byte)0x21,(byte)0x80,(byte)0x20,(byte)0x71,(byte)0x74,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x71,(byte)0x4c,
(byte)0x16,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x70,(byte)0x48,(byte)0x21,(byte)0x72,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,
(byte)0x10,(byte)0xb5,(byte)0x6c,(byte)0x4c,(byte)0x17,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x6b,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,
(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x67,(byte)0x4c,(byte)0x18,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x66,(byte)0x48,(byte)0x80,(byte)0x47,
(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x63,(byte)0x4c,(byte)0x29,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,(byte)0x62,(byte)0x48,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x5e,(byte)0x4c,(byte)0x19,(byte)0x21,(byte)0x21,(byte)0x80,(byte)0x60,(byte)0x60,
(byte)0x5d,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x5a,(byte)0x4c,(byte)0x1a,(byte)0x21,(byte)0x21,(byte)0x80,
(byte)0x60,(byte)0x60,(byte)0x59,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x55,(byte)0x4c,(byte)0x1b,(byte)0x22,
(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x54,(byte)0x48,(byte)0xa1,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0xf8,(byte)0xb5,
(byte)0x50,(byte)0x4c,(byte)0x1c,(byte)0x25,(byte)0x07,(byte)0x9f,(byte)0x06,(byte)0x9e,(byte)0x25,(byte)0x80,(byte)0xa3,(byte)0x60,(byte)0x61,(byte)0x60,(byte)0xa2,(byte)0x81,
(byte)0xe0,(byte)0x81,(byte)0x4d,(byte)0x48,(byte)0x27,(byte)0x82,(byte)0x80,(byte)0x47,(byte)0xa0,(byte)0x89,(byte)0x30,(byte)0x80,(byte)0x60,(byte)0x88,(byte)0xf8,(byte)0xbd,
(byte)0xf8,(byte)0xb5,(byte)0x48,(byte)0x4c,(byte)0x1d,(byte)0x25,(byte)0x07,(byte)0x9f,(byte)0x06,(byte)0x9e,(byte)0x25,(byte)0x80,(byte)0xa3,(byte)0x60,(byte)0x60,(byte)0x60,
(byte)0x21,(byte)0x82,(byte)0xe2,(byte)0x60,(byte)0x44,(byte)0x48,(byte)0x67,(byte)0x82,(byte)0x80,(byte)0x47,(byte)0x20,(byte)0x8a,(byte)0x30,(byte)0x80,(byte)0x60,(byte)0x88,
(byte)0xf8,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x3f,(byte)0x4c,(byte)0x1e,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x3e,(byte)0x48,(byte)0xa1,(byte)0x60,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x3a,(byte)0x4c,(byte)0x1f,(byte)0x26,(byte)0x04,(byte)0x9d,(byte)0x26,(byte)0x80,
(byte)0xa3,(byte)0x60,(byte)0x61,(byte)0x60,(byte)0xa2,(byte)0x81,(byte)0xe0,(byte)0x81,(byte)0x37,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0xa0,(byte)0x89,(byte)0x28,(byte)0x80,
(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x33,(byte)0x4c,(byte)0x20,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,(byte)0x60,(byte)0x60,
(byte)0x22,(byte)0x82,(byte)0x31,(byte)0x48,(byte)0xe3,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x2d,(byte)0x4c,
(byte)0x21,(byte)0x22,(byte)0x22,(byte)0x80,(byte)0xa0,(byte)0x80,(byte)0x2c,(byte)0x48,(byte)0xa1,(byte)0x60,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,
(byte)0x70,(byte)0xb5,(byte)0x28,(byte)0x4c,(byte)0x22,(byte)0x26,(byte)0x04,(byte)0x9d,(byte)0x26,(byte)0x80,(byte)0xa3,(byte)0x60,(byte)0x61,(byte)0x60,(byte)0xa2,(byte)0x81,
(byte)0xe0,(byte)0x81,(byte)0x25,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0xa0,(byte)0x89,(byte)0x28,(byte)0x80,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,
(byte)0x20,(byte)0x4c,(byte)0x23,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,(byte)0x60,(byte)0x60,(byte)0x22,(byte)0x82,(byte)0x1e,(byte)0x48,(byte)0xe3,(byte)0x60,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,(byte)0x1a,(byte)0x4c,(byte)0x24,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,
(byte)0x60,(byte)0x60,(byte)0xa2,(byte)0x81,(byte)0x18,(byte)0x48,(byte)0xe3,(byte)0x81,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x70,(byte)0xb5,
(byte)0x14,(byte)0x4c,(byte)0x25,(byte)0x25,(byte)0x25,(byte)0x80,(byte)0xa1,(byte)0x60,(byte)0x60,(byte)0x60,(byte)0xa2,(byte)0x81,(byte)0x12,(byte)0x48,(byte)0xe3,(byte)0x81,
(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x70,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x0e,(byte)0x4c,(byte)0x26,(byte)0x23,(byte)0x23,(byte)0x80,(byte)0x23,(byte)0x1d,
(byte)0x07,(byte)0xc3,(byte)0x0d,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,(byte)0x09,(byte)0x4c,(byte)0x27,(byte)0x23,
(byte)0x23,(byte)0x80,(byte)0x23,(byte)0x1d,(byte)0x07,(byte)0xc3,(byte)0x08,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,(byte)0x10,(byte)0xbd,(byte)0x10,(byte)0xb5,
(byte)0x04,(byte)0x4c,(byte)0x28,(byte)0x23,(byte)0x23,(byte)0x80,(byte)0x23,(byte)0x1d,(byte)0x07,(byte)0xc3,(byte)0x03,(byte)0x48,(byte)0x80,(byte)0x47,(byte)0x60,(byte)0x88,
(byte)0x10,(byte)0xbd,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x14,(byte)0x00,(byte)0x68,(byte)0x01,(byte)0x7f,(byte)0x00,(byte)0x00,(byte)0x70,(byte)0xb5,(byte)0x06,(byte)0x46,
(byte)0x08,(byte)0x46,(byte)0x15,(byte)0x46,(byte)0x00,(byte)0xf0,(byte)0x0c,(byte)0xf8,(byte)0x34,(byte)0x46,(byte)0x03,(byte)0xe0,(byte)0x01,(byte)0x78,(byte)0x40,(byte)0x1c,
(byte)0x21,(byte)0x70,(byte)0x64,(byte)0x1c,(byte)0x6d,(byte)0x1e,(byte)0xf9,(byte)0xd2,(byte)0x30,(byte)0x46,(byte)0x70,(byte)0xbd,(byte)0xee,(byte)0xe7,(byte)0xed,(byte)0xe7,
(byte)0x0d,(byte)0x21,(byte)0xc9,(byte)0x06,(byte)0x88,(byte)0x42,(byte)0x02,(byte)0xd2,(byte)0x01,(byte)0x49,(byte)0xc9,(byte)0x6b,(byte)0x08,(byte)0x18,(byte)0x70,(byte)0x47,
(byte)0xc0,(byte)0x1f,(byte)0x00,(byte)0x68,(byte)0xd2,(byte)0xb2,(byte)0x01,(byte)0xe0,(byte)0x02,(byte)0x70,(byte)0x40,(byte)0x1c,(byte)0x49,(byte)0x1e,(byte)0xfb,(byte)0xd2,
(byte)0x70,(byte)0x47,(byte)0x00,(byte)0x22,(byte)0xf6,(byte)0xe7,(byte)0x10,(byte)0xb5,(byte)0x04,(byte)0x46,(byte)0x08,(byte)0x46,(byte)0x11,(byte)0x46,(byte)0x02,(byte)0x46,
(byte)0x20,(byte)0x46,(byte)0xff,(byte)0xf7,(byte)0xef,(byte)0xff,(byte)0x20,(byte)0x46,(byte)0x10,(byte)0xbd,(byte)0x00,(byte)0x00,(byte)0x06,(byte)0x4c,(byte)0x01,(byte)0x25,
(byte)0x06,(byte)0x4e,(byte)0x05,(byte)0xe0,(byte)0x20,(byte)0x46,(byte)0xe3,(byte)0x68,(byte)0x07,(byte)0xc8,(byte)0x2b,(byte)0x43,(byte)0x98,(byte)0x47,(byte)0x10,(byte)0x34,
(byte)0xb4,(byte)0x42,(byte)0xf7,(byte)0xd3,(byte)0xff,(byte)0xf7,(byte)0xc0,(byte)0xfc,(byte)0xf0,(byte)0x06,(byte)0x00,(byte)0x00,(byte)0x10,(byte)0x07,(byte)0x00,(byte)0x00,
(byte)0x02,(byte)0xe0,(byte)0x08,(byte)0xc8,(byte)0x12,(byte)0x1f,(byte)0x08,(byte)0xc1,(byte)0x00,(byte)0x2a,(byte)0xfa,(byte)0xd1,(byte)0x70,(byte)0x47,(byte)0x70,(byte)0x47,
(byte)0x00,(byte)0x20,(byte)0x01,(byte)0xe0,(byte)0x01,(byte)0xc1,(byte)0x12,(byte)0x1f,(byte)0x00,(byte)0x2a,(byte)0xfb,(byte)0xd1,(byte)0x70,(byte)0x47,(byte)0x00,(byte)0x00,
(byte)0x10,(byte)0x07,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x04,(byte)0x00,(byte)0x68,(byte)0x00,(byte)0x08,(byte)0x00,(byte)0x00,(byte)0xe0,(byte)0x06,(byte)0x00,(byte)0x00,
(byte)0x10,(byte)0x07,(byte)0x00,(byte)0x00,(byte)0x00,(byte)0x0c,(byte)0x00,(byte)0x68,(byte)0x00,(byte)0x04,(byte)0x00,(byte)0x00,(byte)0xe0,(byte)0x06,(byte)0x00,(byte)0x00
};
}

